# vim: set ts=4 sw=4 et:
# Copyright (c) 2007-2008 oc2pus
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to packman@links2linux.de



Name:           gnaural2
Summary:        Gnaural2 is essentially a multi-voiced Gnaural
Version:        0.1.20080229b8
Release:        2.1
License:        GNU General Public License version 2 or later (GPLv2 or later)
Group:          Productivity/Multimedia/Sound/Utilities
URL:            http://gnaural.sourceforge.net/
Source:         %{name}-%{version}.tar.gz
#Source1:		portaudio_v18_1.tar.bz2
Patch0:         gnaural2-add-missing-libs.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  gcc-c++
BuildRequires:  gtk2-devel
BuildRequires:  libglade2-devel
BuildRequires:  libsndfile-devel
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files

%description
Gnaural2 is essentially a multi-voiced Gnaural, with added
control of stereo, volume, and base frequency parameters.

In contrast, Gnaural only handles two voices, and can only
vary the beat frequency parameter with Binaural Beat voice.
This is the bare minimum needed to implement the binaural
beat idea.

Gnaural2, in many ways, is best thought of as a sound
synthesizer that overlaps Gnaural's functionality, rather
than solely a dedicated Binaural Beat generator. Put it
this way: you can creates some truly bizarre and amazing
sounds with Gnaural2.

Author:         Bret Logan <gnaural@users.sourceforge.net>



%prep
#%setup -q -n %{name}-%{version} -a1
%setup -q -n %{name}-%{version}
%patch0 -p1

%build
%if 0
pushd portaudio_v18_1
    autoreconf --force --install
    %{?suse_update_config:%{suse_update_config -f}}

    %suse_update_libdir Makefile.in
    %__chmod +x configure
    CFLAGS="$RPM_OPT_FLAGS -fPIC -DPIC" \
    ./configure \
    	--prefix=%{_prefix} \
    	--libdir=%{_libdir} \
    	--mandir=%{_mandir}
    
    %__make %%{?_smp_flags} \
    	PALIB=libportaudio}.a \
    	PADLL=libportaudio.so \
    	PADLLV=libportaudio.so.0.0.18

    # make Makefile happy ;)
    %__install -dm 755 %{_builddir}/%{name}-%{version}%{_libdir}
    %__install -dm 755 %{_builddir}/%{name}-%{version}%{_includedir}
    
    %__make install \
    	PREFIX=%{_builddir}/%{name}-%{version}%{_prefix} \
    	PALIB=libportaudio.a \
    	PADLL=libportaudio.so \
    	PADLLV=libportaudio.so.0.0.18 \
    	"-Wl,-soname,libportaudio.so.0.0.18"
popd

%__sed -i -e 's|-lportaudio|%{_builddir}/%{name}-%{version}%{_libdir}/libportaudio.a|g' \
    configure
%endif

%configure
%__make %{?_smp_flags}

%install
%makeinstall

%__rm %{buildroot}%{_datadir}/gnome/apps/Multimedia/gnaural2.desktop

%__install -dm 755 %{buildroot}%{_datadir}/pixmaps
%__install -m 644 pixmaps/%{name}-icon.png \
    %{buildroot}%{_datadir}/pixmaps/%{name}.png
%__cat > %{name}.desktop << EOF
[Desktop Entry]
Name=Gnaural2
Comment=Gnaural2 is essentially a multi-voiced Gnaural
Exec=%{name}
Icon=%{name}.png
Terminal=false
Type=Application
Encoding=UTF-8
Categories=AudioVideo;Music;
EOF
%suse_update_desktop_file -i %{name} AudioVideo Music

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/%{name}
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/%{name}.glade*
%dir %{_datadir}/%{name}/pixmaps
%{_datadir}/%{name}/pixmaps/%{name}-icon.*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png

%changelog
* Sun May 20 2012 seife+obs@b1-systems.com
- fix build on 12.1+ by adding "-lm" to linker commandline
- remove obsolete %%suse_update_config from specfile
* Fri Jan 11 2008 toni@links2linux.de
- dropped dependency to portaudio18 package
- rebuild and static linked with local portaudio-v18
* Fri Sep 21 2007 toni@links2linux.de
- update to 0.1.20070707b6
* Wed Jul 25 2007 toni@links2linux.de
- initial release of version 0.1.20070707b1
